#/bin/bash

source /etc/profile

if [ ! -d "/var/log/CheckCRH" ] ;then
    mkdir /var/log/CheckCRH
fi

if [ ! -d "/var/log/CheckCRH/pdf" ] ;then
    mkdir /var/log/CheckCRH/pdf
fi

if [ -f "/var/log/CheckCRH/storservice00.log" ] ;then
    rm -rf /var/log/CheckCRH/storservice00.log
fi

storservice status > /var/log/CheckCRH/storservice00.log

/usr/local/bin/CheckCRH

date_now=`date "+%Y%m%d"`
mv /usr/local/bin/check_result.pdf /var/log/CheckCRH/pdf/check_result_${date_now}.pdf

check_pdf_num=`ls /var/log/CheckCRH/pdf | wc -l`

if [[ ${check_pdf_num} -gt 10 ]];then
    del_pdf_file=`ls -ltr /var/log/CheckCRH/pdf | grep -v total | awk '{print $9}'| head -n 3`
    for ary in ${del_pdf_file} ; do
        rm -rf /var/log/CheckCRH/pdf/${ary}
    done
fi
