# *-* coding:utf8 *-*
import os
import subprocess
import re


# 执行shell命令，并返回结果和状态
def execute_cmd(cmd):
    p = subprocess.Popen(cmd, stdout=subprocess.PIPE, stderr=subprocess.PIPE, shell=True)
    output, err = p.communicate()
    status = 1 if err else 0
    return status, output


def main():
    path = os.getcwd()

    # 拷贝脚本到对应目录下
    if not os.path.exists("/var/log/CheckCRH/"):
        os.mkdir("/var/log/CheckCRH")

    if not os.path.exists("/var/log/CheckCRH/conf"):
        os.mkdir("/var/log/CheckCRH/conf")

    os.system('cp -rf ' + path + '/lograte.ini /var/log/CheckCRH/conf/')

    status, output = execute_cmd('cp -rf ' + path + '/CheckCRH* /usr/local/bin/')
    if status == 1:
        print("拷贝文件失败！请检查文件是否完整！\n")
    else:
        os.system('chmod 755 /usr/local/bin/CheckCRH*')
        while True:
            select = raw_input("请选择巡检脚本是手动运行还是自动运行【手动：1 / 自动：2】\n")
            if select in ["1", "2"]:
                break
            print("输入存在问题，请重新输入：\n")
        if select == "2":
            while True:
                select_fre = raw_input("自动巡检支持每天或者每周运行一次：请选择【每天：d /每周一：w】\n")
                if select_fre in ["d", "w"]:
                    break
                print("输入存在问题，请重新输入：\n")

            os.system("sed -i '/CheckCRH.sh/d' /etc/crontab")

            if select_fre == "w":
                task = 'echo "0 4 * * 0 root /usr/local/bin/CheckCRH.sh >/dev/null 2>&1" >>/etc/crontab'
                os.system(task)
            elif select_fre == "d":
                task = 'echo "0 4 * * * root /usr/local/bin/CheckCRH.sh >/dev/null 2>&1" >>/etc/crontab'
                os.system(task)

            os.system("systemctl restart crond.service")

            status, output = execute_cmd('cat /etc/crontab | grep CheckCRH.sh')
            if re.match(".*?CheckCRH.*?", output):
                print("自动配置完成！")


if __name__ == "__main__":
    main()
